Subject: RE: [dhcwg] [Question] When should we use Interface-ID option

From: "Kostur, Andre" <[email-masked]>
Date: Fri, 13 Oct 2006 09:16:19 -0700

> Hi Hideshi and all,
> 
> 
> I am also wondering how the Interface-Id field should be used 
> practically.
> 
> RFC3315 is quite clear about how to use it for routing 
> Relay-Reply messages back to the client. But the rfc is 
> evasive about how to use it in practice, especially how to 
> integrate it into the address assignment process.
> 
> RFC3315 says servers can use the link-address field for 
> identifying to which link the client is attached so as to 
> assign a suitable ipv6 address. However when a relay-forward 
> message carries an Interface-Id option, the link-address 
> field is undefined[1]  but the server may still process it. 
> The outcome is undefined and the rfc does not address this issue.
> 
> What do others think about this ?
> 
> Do people here actually use the Interface-Id option ? if yes, 
> which policy is used for assigning ipv6 addresses to the clients ?

And this would be the point.  The DHCP RFCs are not intended to dictate
policy.  So other than suggesting that a DHCP server may use the Interface
ID for address assignment policy, it is not up to the DHCP RFCs to say
exactly how to do so.

Offhand, I'd envision some sort of mechanism where the DHCP server is
configured with the IPv6 address or DUID of the relay, and the Interface
IDs, and some list of prefixes associated with the DUID,IfID pair.
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Anthony Baire <[email-masked]>
Date: Fri, 20 Oct 2006 16:33:26 +0200

Kostur, Andre wrote: RE: [dhcwg] [Question] When should we use
Interface-ID option
> And this would be the point.  The DHCP RFCs are not intended to
> dictate policy.  So other than suggesting that a DHCP server may use
> the Interface ID for address assignment policy, it is not up to the
> DHCP RFCs to say exactly how to do so.
>
> configured with the IPv6 address or DUID of the relay, and the
> Interface IDs, and some list of prefixes associated with the DUID,IfID
> pair.
>
Yes, I definitely agree that the DHCP RFCs role is not to give policies.
Meanwhile I believe that understanding how a feature is intended to be
used (or why it was added to RFC) is useful to implement the protocol
properly.

Anyway thanks all for your replies

Best Regards

--
Anthony Baire
INRIA/IRISA - ARMOR Project